<template>
  <div class="comment-frame">
    <div class="comment-body">{{ text }}</div>
    <div class="comment-footer">
      <div class="comment-footer__controls"><slot /></div>
      <div class="comment-footer__datetime">{{ date }}</div>
    </div>
  </div>
</template>
<script>
export default {
  name: "AppComment",
  props: {
    text: {
      require: true,
      type: String,
    },
    date: {
      type: Date,
      require: true,
    },
  },
};
</script>
<style>
.comment-frame {
  background: #ffffff;
  border: 1px solid #dfe3e7;
  border-radius: 6px;
  max-width: 600px;
  min-width: 300px;
  width: fit-content;
  padding: 12px;
  margin-top: 20px;
}

.comment-body {
  font-size: 12px;
  margin-bottom: 16px;
  word-wrap: break-word;
}

.comment-footer {
  display: flex;
  align-items: baseline;
}

.comment-footer__controls {
  width: 30%;
}

.comment-footer__datetime {
  width: 70%;
  color: #82898f;
  font-size: 10px;
  text-align: right;
}
</style>
